'''
Created on Jun 2, 2016

@author: scrosby
'''
from gus.Gus import Client

class ImportClient(Client):
    def create_user_story(self, product_tag_id, subject, status, **kwargs):
        new_work = kwargs
        new_work['Product_Tag__c'] = product_tag_id
        new_work['Subject__c'] = subject
        new_work['Status__c'] = status
        
        result = self.sf_session.ADM_Work__c.create(new_work)
        return result['id']
    
    def create_bug(self, product_tag_id, subject, status, found_in_build, impact, frequency, **kwargs):
        new_work = kwargs
        new_work['Product_Tag__c'] = product_tag_id
        new_work['Subject__c'] = subject
        new_work['Status__c'] = status
        new_work['Found_in_Build__c'] = found_in_build
        new_work['Impact__c'] = impact
        new_work['Frequency__c'] = frequency
        
        result = self.sf_session.ADM_Work__c.create(new_work)
        return result['id']
        
    def create_build(self, name):
        result = self.sf_session.ADM_Build__c.create({'name':name})
        return result['id']
    
    def add_child_work(self, parent, child):
        relationship = {
                'Parent_Work__c': parent,
                'Child_Work__c': child
                }
        result = self.sf_session.ADM_Parent_Work__c.create(relationship)
        return result['id']
    
